petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscViewerBinarySetSkipHeader

do not write a header with size information on output, just raw data

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerBinarySetSkipHeader(PetscViewer viewer,PetscBool skip)

Not Collective

### Input Parameters

| viewer | - PetscViewer context, obtained from PetscViewerBinaryOpen()
| skip | - PETSC_TRUE means do not write header

### Options Database Key

-viewer_binary_skip_header -

Notes: This must be called after PetscViewerSetType()

Can ONLY be called on a binary viewer

### See Also

PetscViewerBinaryOpen(), PetscViewerBinaryGetDescriptor(), PetscViewerBinarySkipInfo(),
PetscViewerBinaryGetSkipHeader()

Level:advanced
Location:src/sys/classes/viewer/impls/binary/binv.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/dm/examples/tutorials/ex15.c.html